Older versions not working on Windows 7

Page 1 of 1 (2 items)
This post has 1 Reply | 2 Followers

Posts 2
Thinus van Staden | Forum Activity | Posted: Sun, Nov 2 2014 8:53 PM

I've been using Logos since Logos 2.1 and have bought many different additions over the years. All worked well until I upgraded my computer to Windows 7. I now get a message that says: "The version of this file is not compatible with the version of Windows you're running...". 

I've tried different solutions, like Libronix (which was recommended on Logos' blog), but to no avail. Please help, cause I desperately need these wonderful books. As I'm from South Africa, from the first additions I bought was in Afrikaans, so I don't know if you can help me there?

Here is the different versions I've bought: 

  • Logos Bybel Biblioteek (verson 2.1 - it's the Afrikaans version)
  • The Essential IVP Reference Collection
  • JLVS HIstory Reference Collection
  • A 4-Volume edition (I have no recollection of the name of this package, but it is the only one I still have the Product Upgrade Code of)
  • Word Biblical Commentary series

Of all the different version I miss WBC the most. 

Please, is there any way that you could help me unlock these wonderful books. 

Greetings, 

Thinus van Staden

Pretoria, South Africa

Posts 24563
Forum MVP
Dave Hooton | Forum Activity | Replied: Sun, Nov 2 2014 10:23 PM

If you have Windows 7 64-bit  (Control Panel >> System will tell you) then you cannot install the old Logos 2.1, but you should be able to install Libronix but the problem would be getting a licence file for your resources. Other users have had to face this so I recommend contacting Customer Service, who may ask for proof of purchase.

The issue with Libronix is will only work with IE8 or IE9 (with a patch) so you may have to consider the free Logos 5 software if you cannot downgrade to IE9. But first contact Customer Support about licenses.

Dave
===

Windows & Android

Page 1 of 1 (2 items) | RSS